/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.system.service.dto;

import lombok.Data;
import java.sql.Timestamp;
import java.io.Serializable;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;

/**
* @website https://eladmin.vip
* @description /
* @author author
* 
**/
@Data
public class ReimburseDto implements Serializable {

    private Long reimburseId;

    /** 申请人 */
    private UserDto user;

    /** 申请事由 */
    private String reason;

    /** 申请金额 */
    private String fee;

    /** 报销类型 */
    private String reimburseType;

    /** 资金来源 */
    private String feeSource;

    /** 项目名称 */
    private String projectName;

    /** 项目编号 */
    private String projectNo;

    /** 项目预算 */
    private String projectFee;

    /** 花费产生时间 */
    private Timestamp reimburseTime;

    /** 申请时间 */
    private Timestamp applyTime;

    /** 备注 */
    private String remark;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建日期 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;

    private String businessFeeType;
}