/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package me.zhengjie.modules.system.service.dto;

import lombok.Data;
import me.zhengjie.modules.system.domain.User;

import java.sql.Timestamp;
import java.math.BigDecimal;
import java.io.Serializable;

/**
* @website https://eladmin.vip
* @description /
* @author author
**/
@Data
public class ServiceFeeDto implements Serializable {

    /** ID */
    private Long serviceFeeId;

    /** 劳务人 */
    private UserDto user;

    /** 应发金额 */
    private BigDecimal payableFee;

    /** 个人所得税 */
    private BigDecimal tax;

    /** 实发金额 */
    private BigDecimal paidFee;

    /** 资金来源 */
    private String feeSource;

    /** 审批人 */
    private UserDto approveUser;

    /** 劳务时间 */
    private Timestamp serviceTime;

    /** 申请时间 */
    private Timestamp applyTime;

    /** 备注 */
    private String remark;

    /** 创建者 */
    private String createBy;

    /** 更新者 */
    private String updateBy;

    /** 创建日期 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;
}