### 电产院-财务管理系统

### 一、后端编译指导

​		本项目采用`Intellij IDEA 2022.1.3`作为开发`IDE`。后端代码`Fiance-web`直接用`IDEA`打开即可。项目的主要编译问题在于网络下载依赖的问题。我们需要在`maven`中配置镜像服务器。

##### **1.1 `maven`镜像服务器的配置**  

​		找到`maven`的目录，这个可以很容易的在系统的环境变量`MAVEN_HOME`找到路径。然后找到路径下的`conf\settings.xml`。在`<mirros>`标签下添加：

```xml
<mirror>
    <id>alimaven</id>
    <mirrorOf>central</mirrorOf>
    <name>aliyun maven</name>
    <url>http://maven.aliyun.com/nexus/content/repositories/central/</url>
</mirror>
```

​		在上述修改后，`Intellij IDEA`不一定会生效，因为`Intellij IDEA`默认的指定的`setting.xml`和`repository`不一定正确，如下图所示。

![](http://logzhan.ticp.io:30000/logzhan/PictureHost/raw/branch/main/Finance/Finance-Web/Intellij%20IDEA%20maven%20setting.png)

​		注意`settings.xml`的文件路径，这里路径需要指向我们添加了镜像服务器的`setting`文件。否则添加的镜像服务器会失效，可能导致`maven`解析依赖卡住(网络问题)。

​		刷新依赖解析：选择`pom.xml`右键菜单`->Maven->Reload Project`。

##### 1.2 编译和运行

​		在同步完成后，打开项目找到`eladmin-system\src\main\java\me.zhengjie\AppRun`文件，右键`Run AppRun`，正常编译运行如下图所示：

![](http://logzhan.ticp.io:30000/logzhan/PictureHost/raw/branch/main/Finance/Finance-Web/Finance-WebRun.png)

##### 1.2.1 启动`Redis-windows`

​		Redis的官方是windows版本，所以在官方无法下载到。

> windows版Git下载：https://github.com/microsoftarchive/redis/releases
>
> 私人云盘下载：`http://logzhan.ticp.io:52440/GoWeb开发环境安装/Redis-Windows`   
>
> 账号：uestc 密码 ：123 
>
> 登录后可能进入到管理页面，此时选择主页或者再次粘贴云盘路径均可

​		启动方式：

```shell
# Git原版，在powershell输入执行
.\redis-server.exe redis.windows.conf
# 云盘下载版：
直接运行run.bat即可
```

##### 1.2.2 数据库的配置

​		默认数据库配置采用云端数据库配置，可以在`eladmin-admin\src\main\resouruces\config\application-dev.yml`中找到，并根据实际情况修改。

```yml
url: jdbc:log4jdbc:mysql://${DB_HOST:182.254.242.199}:${DB_PORT:3306}/${DB_NAME:admin}?		  serverTimezone=Asia/Shanghai&characterEncoding=utf8&useSSL=false
username: ${DB_USER:root}
password: ${DB_PWD:ykn123456}
```

