## 二、目录与分类

1、分类框架

​		在Spring Boot框架下，通常会将应用程序的功能划分为不同的模块或组件。根据您提供的信息，您的应用程序似乎被划分为了mnt、quartz、security和system这几个模块。

- mnt模块：可能是指"maintenance"（维护）模块，用于处理应用程序的维护相关功能，如日志记录、监控和性能优化等。
- quartz模块：可能是指Quartz调度框架相关的模块，Quartz是一个功能强大的作业调度器，用于在特定的时间点或按照一定的规则执行任务。
- security模块：可能是指安全模块，用于处理应用程序的安全相关功能，如用户认证、授权、权限管理等。
- system模块：可能是指系统模块，用于处理应用程序的系统级功能，如配置管理、异常处理、国际化等。

​		请注意，这些模块的具体功能和实现可能因应用程序的需求而有所不同。这只是根据您提供的信息给出的一种可能的解释。实际上，模块的划分和命名是根据具体的应用程序需求和架构设计来确定的。

2、分类框架2

​		在软件开发中，通常会将应用程序的逻辑划分为不同的层次，以便于维护和管理。其中，常见的一种架构风格是三层架构，即将应用程序的逻辑划分为表示层、业务逻辑层和数据访问层。

在这种架构风格中，通常会使用以下术语来描述不同的层次：

- Domain（领域层）：表示应用程序的业务领域，包含了业务实体、值对象、服务等，是应用程序的核心。
- Repository（数据访问层）：用于访问和管理应用程序的数据存储，可以是关系型数据库、NoSQL数据库、文件系统等。
- Service（业务逻辑层）：用于实现应用程序的业务逻辑，协调和管理领域对象和数据访问对象之间的交互。
- REST通常被视为表示层（Presentation Layer）的一种实现方式。表示层负责处理用户请求和响应，将用户的输入转化为对应的业务逻辑操作，并将结果返回给用户。